Creates a new autopilot for the project with the specified id. Also creates and enables all alerts for the new autopilot. For this action, the user needs to be the owner of the project or must have 'read' permissions of the feature 'project-master-data' globally or in their project role.
Authentication
AuthorizationBearerSend your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.
Path parameters
projectIdstringRequiredThe id of the project.
Request body Required
The model used to create the autopilot.
application/json
typestringRequired1 The type of the autopilot.
alertsarray of object or nullOptionalThe alerts of the autopilot. Omit this collection or provide an empty collection to enable every available alert with its default settings. A non-empty collection must contain every alert type returned by GET /autopilot/availablealerts.
Show 3 properties
alertstringRequired1 The alert indicator.
enabledbooleanRequiredWhether the alert is enabled.
channelstringRequired1 The channel of the alert.
Responses
200 OK
application/json
typestringRequired1 The type of the autopilot.
enabledbooleanRequiredWhether the autopilot is enabled.
alertsarray of objectRequiredThe alerts of the autopilot. The collection must contain every alert type returned by GET /autopilot/availablealerts, including alerts that should be disabled.
Show 4 properties
idstringRequiredThe id of the alert.
alertstringRequired1 The alert indicator.
enabledbooleanRequiredWhether the alert is enabled.
channelstringRequired1 The channel of the alert.
idstringOptionalThe id of the autopilot.
createdOnstringOptionalThe date this object was created.
createdBystringOptionalThe id of the user who created this object.
updatedOnstringOptionalThe date this object was last modified.
updatedBystringOptionalThe id of the user who last modified this object.